# ---------------------------------------------------------
#  file : 'k2ws_module.rb'
#  by   : Keith Krueger
# ---------------------------------------------------------
#{ Description:
# 
# 
#
# ---------------------------------------------------------
#  Terms of Use. By using this program:
#
#  (1) User agrees to respect the toplevel Ruby module 
#      K²WS as the propietary namespace of Keith Krueger,
#      K² Wood Shop, Bellefontaine, OH, USA.
#
#  License:
#
#
# ---------------------------------------------------------
#  Warranty / Disclaimer:
#
#
#
# ---------------------------------------------------------
#  Versions:
#
#   1.0.0  :  MM-DD-YYYY
#   + initial release
#
#}
# ---------------------------------------------------------
require('sketchup.rb')

  #{# CONSTANTS
  #
    unless defined?(MAC)
      MAC = ( Object::RUBY_PLATFORM =~ /(darwin)/i ? true : false )
    end
    WIN = ( not MAC ) unless defined?(WIN)
  #
  #}#


module K²WS   # <-- Proprietary namespace of K² Wood Shop.


  #{# MODULE VARIABLES
  #
    @@version = '1.0.0'.freeze  # <-- change whenever module is revised !!
  #
  #}#


  #{# MODULE METHODS
  #
    #  about()
    #
    #  Returns an about string for display purposes.
    #
    #  Ex:  puts( K²WS.about )
    #
    def self.about
      msg = "This namespace is K²WS, which stands for 'K Squared Wood Shop.'\n"
      msg<< "Owner: Keith Krueger, Bellefontaine, OH, USA."
      return msg
    end

    #  version()
    #
    #  Returns a version string for this module of form: 'n.n.n'.
    #
    def self.version()
      return @@version
    end

  #
  #}#
  

  #{# RUN ONCE
  #
    unless file_loaded?(File.basename(__FILE__))

      file_loaded(File.basename(__FILE__))

    end
  #
  #}# RUN ONCE
 

end # module K²WS